import { Component, HostListener, OnInit } from '@angular/core';
import { detectBody } from '../app.helpers';

@Component({
  selector: 'byte-bytebot-layout',
  templateUrl: './bytebot-layout.component.html',
  styleUrls: ['./bytebot-layout.component.scss']
})
export class BytebotLayoutComponent implements OnInit {

  constructor(// protected toogleService: ToogleService
    ) { }

  ngOnInit() {
    detectBody();
  }

  @HostListener('window:resize')
  public onResize() {
    detectBody();
  }

  gotoTop() {
    console.log('custom-layout');
  }

  onToggle() {
    console.log('test');
    // this.toogleService.onToggle(true);
  }

}
